<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__pdm__pcm_8c" kind="file" language="C++">
    <compoundname>cy_pdm_pcm.c</compoundname>
    <includes local="yes" refid="cy__pdm__pcm_8h">cy_pdm_pcm.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__pdm__pcm__functions_1ga72f994cbd634988b0016f464720b3559" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga8ef640550e81684b9c1b7a8af1cfd355">cy_en_pdm_pcm_status_t</ref></type>
        <definition>cy_en_pdm_pcm_status_t Cy_PDM_PCM_Init</definition>
        <argsstring>(PDM_Type *base, cy_stc_pdm_pcm_config_t const *config)</argsstring>
        <name>Cy_PDM_PCM_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__pdm__pcm__config__t">cy_stc_pdm_pcm_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initialize the PDM-PCM module. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition-precondition admonition"&gt;&lt;p class="admonition-title"&gt;&lt;span&gt;Precondition&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the PDM-PCM module is initialized previously, the &lt;a href="group__group__pdm__pcm__functions.html#group__group__pdm__pcm__functions_1gab516ee1cbdb2327b995d6ea079ad6209"&gt;Cy_PDM_PCM_DeInit()&lt;/a&gt; must be called before calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the PDM-PCM instance address </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a configuration structure. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>error / status code. See <ref kindref="member" refid="group__group__pdm__pcm__enums_1ga8ef640550e81684b9c1b7a8af1cfd355">cy_en_pdm_pcm_status_t</ref>.</para></simplesect>
An example of a configuration structure: <programlisting><codeline><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__pdm__pcm__config__t">cy_stc_pdm_pcm_config_t</ref><sp />PDM_PCM_config<sp />=</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.clkDiv<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecba693fd2bda6ca858fdf4d94ca97f8b6fc">CY_PDM_PCM_CLK_DIV_BYPASS</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.mclkDiv<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecbaf5cbc3da6dbf41f45932333351e299b6">CY_PDM_PCM_CLK_DIV_1_2</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ckoDiv<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal">3U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.ckoDelay<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal">0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.sincDecRate<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal">0x20U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.chanSelect<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga1a5b2dac3a8f00ab2d096c0448aa34e4a0c12112db79eeac2ae002bf1e01b9fb2">CY_PDM_PCM_OUT_STEREO</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.chanSwapEnable<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.highPassFilterGain<sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal">8U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.highPassDisable<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.softMuteCycles<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a388ddf2156a060132a4a9bbc4c34e121">CY_PDM_PCM_SOFT_MUTE_CYCLES_96</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.softMuteFineGain<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.softMuteEnable<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.wordLen<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga97622d82ab2e429e1b8486428f22e266a99bdeef4802e95f8780cf682a09073d5">CY_PDM_PCM_WLEN_16_BIT</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.signExtension<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.gainLeft<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa1e25122fd97a1bd2eb85e4bb9cdd1860">CY_PDM_PCM_BYPASS</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.gainRight<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa1e25122fd97a1bd2eb85e4bb9cdd1860">CY_PDM_PCM_BYPASS</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.rxFifoTriggerLevel<sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal">32U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.dmaTriggerEnable<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />.interruptMask<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />*/</highlight><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__macros__interrupt__masks_1ga3c99bb35b813ec86c6308dee5c827a5b">CY_PDM_PCM_INTR_RX_TRIGGER</ref></highlight></codeline>
<codeline><highlight class="normal">};</highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="107" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="487" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pdm__pcm__functions_1gab516ee1cbdb2327b995d6ea079ad6209" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_PDM_PCM_DeInit</definition>
        <argsstring>(PDM_Type *base)</argsstring>
        <name>Cy_PDM_PCM_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Uninitializes the PDM-PCM module. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the PDM-PCM instance address. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="129" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="488" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pdm__pcm__functions_1ga4ea860b9ffa3f8c9fd3fcd1d42a6df8a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_PDM_PCM_SetGain</definition>
        <argsstring>(PDM_Type *base, cy_en_pdm_pcm_chan_select_t chan, cy_en_pdm_pcm_gain_t gain)</argsstring>
        <name>Cy_PDM_PCM_SetGain</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref></type>
          <declname>chan</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref></type>
          <declname>gain</declname>
        </param>
        <briefdescription>
<para>Sets the gain factor to the left or right channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the PDM-PCM instance address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>chan</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel selector for gain setting <ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>gain</parametername>
</parameternamelist>
<parameterdescription>
<para>Gain for the selected channel <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="160" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="489" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pdm__pcm__functions_1ga70509bf557fcfc3232d29f2f409f86cb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref></type>
        <definition>cy_en_pdm_pcm_gain_t Cy_PDM_PCM_GetGain</definition>
        <argsstring>(PDM_Type const *base, cy_en_pdm_pcm_chan_select_t chan)</argsstring>
        <name>Cy_PDM_PCM_GetGain</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref></type>
          <declname>chan</declname>
        </param>
        <briefdescription>
<para>Retrieves the current gain factor of the left or right channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the PDM-PCM instance address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>chan</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel selector for gain setting <ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Gain of the selected channel <ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" bodystart="178" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="490" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pdm__pcm__functions_1ga83e3fa66567ae8e8ee284f3315673cec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_PDM_PCM_DeepSleepCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_PDM_PCM_DeepSleepCallback</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>This is an example callback function that can be used at the application layer to manage the PDM-PCM operation before entering and after exiting Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure with the syspm callback parameters, see <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>syspm return status, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" bodystart="215" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" line="215" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.20.2</para></simplesect>
The source code file for the PDM_PCM driver.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy_pdm_pcm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CY_IP_MXAUDIOSS</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="36"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_PDM_PCM_Init</highlight></codeline>
<codeline lineno="37"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga8ef640550e81684b9c1b7a8af1cfd355">cy_en_pdm_pcm_status_t</ref><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga72f994cbd634988b0016f464720b3559">Cy_PDM_PCM_Init</ref>(<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref><sp />*<sp />base,<sp /><ref kindref="compound" refid="structcy__stc__pdm__pcm__config__t">cy_stc_pdm_pcm_config_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*<sp />config)</highlight></codeline>
<codeline lineno="53"><highlight class="normal">{</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga8ef640550e81684b9c1b7a8af1cfd355">cy_en_pdm_pcm_status_t</ref><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga8ef640550e81684b9c1b7a8af1cfd355a02fbb89909bedaaeccbcec18fdf56f6c">CY_PDM_PCM_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((NULL<sp />!=<sp />base)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />config))</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CLK_DIV_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a76cd8d97999381faa2d3c92cf44de697">clkDiv</ref>));</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CLK_DIV_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1af5db074ab09640dea5acd161f0760e99">mclkDiv</ref>));</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CKO_CLOCK_DIV_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1aec259d06611df5701cd1066840f72f90">ckoDiv</ref>));</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_SINC_RATE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a00398a97f9e5f416f6d7c7bccd6f9518">sincDecRate</ref>));</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_GAIN_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1363ed2e3eab8aa20d86b1ce272477be">gainRight</ref>));</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_GAIN_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a8104ce4d0a012024f82e0fde64b3d8dd">gainLeft</ref>));</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_STEP_SEL_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab50b2b03e84b186194389da7b531ca39">softMuteFineGain</ref>));</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CH_SET_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1adab303cbb62eb6badfcd72a3e0661f63">chanSelect</ref>));</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_S_CYCLES_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a4b1f76305638625b13b20fe78b4cbc3f">softMuteCycles</ref>));</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CKO_DELAY_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab9b94de9f5aee862b53e44911a0d25cf">ckoDelay</ref>));</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_HPF_GAIN_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ad6b92493b10518a30babff09a1f40e77">highPassFilterGain</ref>));</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_WORD_LEN_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab2ab60f66c03b9bfb896ee01deb5a34d">wordLen</ref>));</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_TRIG_LEVEL(config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1079ab0d5c6353df5016fcf36eca9ea4">rxFifoTriggerLevel</ref>,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1adab303cbb62eb6badfcd72a3e0661f63">chanSelect</ref>));</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga8ef640550e81684b9c1b7a8af1cfd355aa19a67e822e56e6646241c57396f86a4">CY_PDM_PCM_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="73"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_CTL(base)<sp />&amp;=<sp />(uint32_t)<sp />~PDM_CTL_ENABLED_Msk;<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />the<sp />PDM_PCM<sp />block<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />clock<sp />setting<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_CLOCK_CTL(base)<sp />=<sp />_VAL2FLD(PDM_CLOCK_CTL_CLK_CLOCK_DIV,<sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a76cd8d97999381faa2d3c92cf44de697">clkDiv</ref>)<sp />|</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_CLOCK_CTL_MCLKQ_CLOCK_DIV,<sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1af5db074ab09640dea5acd161f0760e99">mclkDiv</ref>)<sp />|</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_CLOCK_CTL_CKO_CLOCK_DIV,<sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1aec259d06611df5701cd1066840f72f90">ckoDiv</ref>)<sp />|</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_CLOCK_CTL_SINC_RATE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a00398a97f9e5f416f6d7c7bccd6f9518">sincDecRate</ref>);</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />PDM-PCM<sp />block<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_CTL(base)<sp />=<sp />_VAL2FLD(PDM_CTL_PGA_R,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1363ed2e3eab8aa20d86b1ce272477be">gainRight</ref>)<sp />|</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_CTL_PGA_L,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a8104ce4d0a012024f82e0fde64b3d8dd">gainLeft</ref>)<sp />|</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_CTL_STEP_SEL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab50b2b03e84b186194389da7b531ca39">softMuteFineGain</ref>)<sp />|</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PDM_CTL_SOFT_MUTE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ad280e714b5e8288e77472e8d5c84ddd9">softMuteEnable</ref>)<sp />|</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PDM_CTL_ENABLED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_MODE_CTL(base)<sp />=<sp />_VAL2FLD(PDM_MODE_CTL_PCM_CH_SET,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1adab303cbb62eb6badfcd72a3e0661f63">chanSelect</ref>)<sp />|</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PDM_MODE_CTL_SWAP_LR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a52af035a1c24528ccaac06fe22478dae">chanSwapEnable</ref>)<sp />|</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_MODE_CTL_S_CYCLES,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a4b1f76305638625b13b20fe78b4cbc3f">softMuteCycles</ref>)<sp />|</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_MODE_CTL_CKO_DELAY,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab9b94de9f5aee862b53e44911a0d25cf">ckoDelay</ref>)<sp />|</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PDM_MODE_CTL_HPF_GAIN,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ad6b92493b10518a30babff09a1f40e77">highPassFilterGain</ref>)<sp />|</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PDM_MODE_CTL_HPF_EN_N,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1597394c0da88d678f7b4405c64c98d4">highPassDisable</ref>);</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_DATA_CTL(base)<sp />=<sp />_VAL2FLD(PDM_DATA_CTL_WORD_LEN,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1ab2ab60f66c03b9bfb896ee01deb5a34d">wordLen</ref>)<sp />|</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PDM_DATA_CTL_BIT_EXTENSION,<sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1953184d9bc890c149d3cb8188fbfaf2">signExtension</ref>);</highlight></codeline>
<codeline lineno="98"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_RX_FIFO_CTL(base)<sp />=<sp />_VAL2FLD(PDM_RX_FIFO_CTL_TRIGGER_LEVEL,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a1079ab0d5c6353df5016fcf36eca9ea4">rxFifoTriggerLevel</ref>);</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PDM_PCM_TR_CTL(base)<sp />=<sp />_BOOL2FLD(PDM_TR_CTL_RX_REQ_EN,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a4993951ea6cba854859a905f05cbb076">dmaTriggerEnable</ref>);</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1gaecd6316cef42b4c9d31b38aad0c222e6">Cy_PDM_PCM_SetInterruptMask</ref>(base,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__pdm__pcm__config__t_1a53ae73cac788873d873731714f206e8c">interruptMask</ref>);</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(ret);</highlight></codeline>
<codeline lineno="107"><highlight class="normal">}</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="111"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_PDM_PCM_DeInit</highlight></codeline>
<codeline lineno="112"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="119"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1gab516ee1cbdb2327b995d6ea079ad6209">Cy_PDM_PCM_DeInit</ref>(<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref><sp />*<sp />base)</highlight></codeline>
<codeline lineno="120"><highlight class="normal">{</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_CMD(base)<sp />=<sp />0UL;<sp /></highlight><highlight class="comment">/*<sp />Stop<sp />PDM-PCM<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_INTR_MASK(base)<sp />=<sp />0UL;<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />interrupts<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_RX_FIFO_CTL(base)<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_TR_CTL(base)<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_DATA_CTL(base)<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_MODE_CTL(base)<sp />=<sp />CY_PDM_PCM_MODE_CTL_DEFAULT;</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_CTL(base)<sp />=<sp />CY_PDM_PCM_CTL_DEFAULT;<sp /></highlight><highlight class="comment">/*<sp />Disable<sp />the<sp />PDM_PCM<sp />IP<sp />block<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />PDM_PCM_CLOCK_CTL(base)<sp />=<sp />CY_PDM_PCM_CLOCK_CTL_DEFAULT;<sp /></highlight><highlight class="comment">/*<sp />The<sp />default<sp />clock<sp />settings<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal">}</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="132"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_PDM_PCM_SetGain</highlight></codeline>
<codeline lineno="133"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="147"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga4ea860b9ffa3f8c9fd3fcd1d42a6df8a">Cy_PDM_PCM_SetGain</ref>(<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref><sp />*<sp />base,<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref><sp />chan,<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref><sp />gain)</highlight></codeline>
<codeline lineno="148"><highlight class="normal">{</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CHAN_VALID(chan));</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_GAIN_VALID(gain));</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(chan<sp />==<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga3f28a6dc09f7e9046984e99400290ec5abd98ea5f19225868ae6ae87b994633d4">CY_PDM_PCM_CHAN_LEFT</ref>)</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_REG32_CLR_SET(PDM_PCM_CTL(base),<sp />PDM_CTL_PGA_L,<sp />((uint32_t)<sp />gain));</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_REG32_CLR_SET(PDM_PCM_CTL(base),<sp />PDM_CTL_PGA_R,<sp />((uint32_t)<sp />gain));</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="160"><highlight class="normal">}</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="163"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_PDM_PCM_GetGain</highlight></codeline>
<codeline lineno="164"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga70509bf557fcfc3232d29f2f409f86cb">Cy_PDM_PCM_GetGain</ref>(<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*<sp />base,<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5">cy_en_pdm_pcm_chan_select_t</ref><sp />chan)</highlight></codeline>
<codeline lineno="179"><highlight class="normal">{</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref><sp />ret;</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_PDM_PCM_IS_CHAN_VALID(chan));</highlight></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(chan<sp />==<sp /><ref kindref="member" refid="group__group__pdm__pcm__enums_1gga3f28a6dc09f7e9046984e99400290ec5abd98ea5f19225868ae6ae87b994633d4">CY_PDM_PCM_CHAN_LEFT</ref>)</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret<sp />=<sp />(<ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>)<sp />(_FLD2VAL(PDM_CTL_PGA_L,<sp />PDM_PCM_CTL(base)));</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret<sp />=<sp />(<ref kindref="member" refid="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f">cy_en_pdm_pcm_gain_t</ref>)<sp />(_FLD2VAL(PDM_CTL_PGA_R,<sp />PDM_PCM_CTL(base)));</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(ret);</highlight></codeline>
<codeline lineno="194"><highlight class="normal">}</highlight></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="198"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_PDM_PCM_DeepSleepCallback</highlight></codeline>
<codeline lineno="199"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga83e3fa66567ae8e8ee284f3315673cec">Cy_PDM_PCM_DeepSleepCallback</ref>(<ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref><sp />*<sp />callbackParams,<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref><sp />mode)</highlight></codeline>
<codeline lineno="216"><highlight class="normal">{</highlight></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caaf00d22f1ee891a8a56f8bbf58132e775">CY_SYSPM_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">(mode)</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63ab7ec706d80b347433d0063f2a8115784">CY_SYSPM_CHECK_READY</ref>:</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63a96acf2d0ae5537798228d5fba0fecd17">CY_SYSPM_CHECK_FAIL</ref>:</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63a7d302375276b3b5f250a8208c999b558">CY_SYSPM_BEFORE_TRANSITION</ref>:</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga16636b0a3e4032d53b595525e5c34de3">Cy_PDM_PCM_Disable</ref>((<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref>*)<sp />callbackParams-&gt;<ref kindref="member" refid="structcy__stc__syspm__callback__params__t_1a56076e99358e2b7c99681312108b09af">base</ref>);<sp /></highlight><highlight class="comment">/*<sp />Stop<sp />PDM-PCM<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Unload<sp />FIFO<sp />to<sp />not<sp />lose<sp />any<sp />data<sp />(if<sp />needed)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63aafd1db1f7f86ac7bbd18d59b78af5693">CY_SYSPM_AFTER_TRANSITION</ref>:</highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga5a5b5f1204969b4c7fd1900c8fb0effe">Cy_PDM_PCM_ClearFifo</ref>((<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref>*)<sp />callbackParams-&gt;<ref kindref="member" refid="structcy__stc__syspm__callback__params__t_1a56076e99358e2b7c99681312108b09af">base</ref>);<sp /></highlight><highlight class="comment">/*<sp />Clear<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__pdm__pcm__functions_1ga23a191df6d51589e9d459e51a6a7af8b">Cy_PDM_PCM_Enable</ref>((<ref kindref="compound" refid="struct_p_d_m___type">PDM_Type</ref>*)<sp />callbackParams-&gt;<ref kindref="member" refid="structcy__stc__syspm__callback__params__t_1a56076e99358e2b7c99681312108b09af">base</ref>);<sp /></highlight><highlight class="comment">/*<sp />Start<sp />PDM-PCM<sp />operation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret<sp />=<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gga601b1cb722cb091133caf33d8ab235caa5e406c6cb40fdf6663df0208737d4f11">CY_SYSPM_FAIL</ref>;</highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">(ret);</highlight></codeline>
<codeline lineno="241"><highlight class="normal">}</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXAUDIOSS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pdm_pcm.c" />
  </compounddef>
</doxygen>